Skip to main content
POST
/
commerce
/
catalog
/
admin
/
couponsets
Error
A valid request URL is required to generate request examples
{
  "name": "<string>",
  "assignedDiscountCount": 123,
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "canBeDeleted": true,
  "couponCodeCount": 123,
  "couponCodeType": "<string>",
  "couponSetCode": "<string>",
  "endDate": "2023-11-07T05:31:56Z",
  "id": 123,
  "maxRedemptionsPerCouponCode": 123,
  "maxRedemptionsPerUser": 123,
  "redemptionCount": 123,
  "setSize": 123,
  "startDate": "2023-11-07T05:31:56Z",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

Represents a claimable item that allows a user to use one or more discounts.

name
string
required

CouponSet Name

Maximum string length: 200
assignedDiscountCount
integer<int32> | null

ReadOnly sum of all redemptions for this coupon. Use "counts" response group.

auditInfo
object
canBeDeleted
boolean

Signifies that the coupon has not been exported and can be updated ReadOnly

couponCodeCount
integer<int32> | null

Count of associated couponCodes. Must use "counts" response group to get this value ReadOnly

couponCodeType
string | null

Determines if the coupon is a persisted list of codes (static) or a list based on generated specification (dynamic).

couponSetCode
string | null

Unique tenant supplied identifier. Used as the prefix for generated sets. Required System generated if left null.

Maximum string length: 32
endDate
string<date-time> | null

Date and time that the coupon codes becomes expired

id
integer<int32> | null

Internal unique identifier of the couponset. System-supplied and read-only.

maxRedemptionsPerCouponCode
integer<int32> | null

Maximum number of times any code can de used. Must be null or >= 1 (0 is invalid). Defaults to 1 on creation if null.

maxRedemptionsPerUser
integer<int32> | null

Maximum number of times any single user can redeem any code. Must be null or >= 1 (0 is invalid). Defaults to 1 on creation only when legacy tenant behavior is enabled; otherwise null is preserved.

redemptionCount
integer<int32> | null

ReadOnly count of all redemptions for this coupon set.

setSize
integer<int32> | null

Sets the number of codes to generate for dynamic coupons Required when CouponCodeType is "Dynamic"

startDate
string<date-time> | null

Date and time that the coupon codes becomes active

status
string | null

CouponSet status which can be: Active, Expired, Inactive System-supplied and read-only.

Response

Success

Represents a claimable item that allows a user to use one or more discounts.

name
string
required

CouponSet Name

Maximum string length: 200
assignedDiscountCount
integer<int32> | null

ReadOnly sum of all redemptions for this coupon. Use "counts" response group.

auditInfo
object
canBeDeleted
boolean

Signifies that the coupon has not been exported and can be updated ReadOnly

couponCodeCount
integer<int32> | null

Count of associated couponCodes. Must use "counts" response group to get this value ReadOnly

couponCodeType
string | null

Determines if the coupon is a persisted list of codes (static) or a list based on generated specification (dynamic).

couponSetCode
string | null

Unique tenant supplied identifier. Used as the prefix for generated sets. Required System generated if left null.

Maximum string length: 32
endDate
string<date-time> | null

Date and time that the coupon codes becomes expired

id
integer<int32> | null

Internal unique identifier of the couponset. System-supplied and read-only.

maxRedemptionsPerCouponCode
integer<int32> | null

Maximum number of times any code can de used. Must be null or >= 1 (0 is invalid). Defaults to 1 on creation if null.

maxRedemptionsPerUser
integer<int32> | null

Maximum number of times any single user can redeem any code. Must be null or >= 1 (0 is invalid). Defaults to 1 on creation only when legacy tenant behavior is enabled; otherwise null is preserved.

redemptionCount
integer<int32> | null

ReadOnly count of all redemptions for this coupon set.

setSize
integer<int32> | null

Sets the number of codes to generate for dynamic coupons Required when CouponCodeType is "Dynamic"

startDate
string<date-time> | null

Date and time that the coupon codes becomes active

status
string | null

CouponSet status which can be: Active, Expired, Inactive System-supplied and read-only.